#!/bin/sh

# tomcatにデプロイしたwarファイルを削除するコマンド

app_name=$1

if [ $# -ne 1 ]; then
	echo "tomcat-undeploy.sh <app-name>"
	exit 0
fi

if [ -z "$CATALINA_HOME" ]; then
	echo "CATALINA_HOMEが設定されていません."
	exit -1
fi

if [ -z "$app_name" ]; then
	echo "アプリケーション名が指定されていません."
	exit -1
fi


# warファイルを削除
echo "${CATALINA_HOME}/webapps/${app_name}.warを削除します."
rm -fr ${CATALINA_HOME}/webapps/${app_name}.war

# ${CATALINA_HOME}/webappsをクリーン.
echo "${CATALINA_HOME}/webapps/${app_name}を削除します."
rm -fr ${CATALINA_HOME}/webapps/${app_name}

# ${CATALINA_HOME}/work/localhost をクリーン
echo "${CATALINA_HOME}/work/localhost/${app_name}を削除します."
rm -fr ${CATALINA_HOME}/work/localhost/${app_name}

echo "${app_name}のデプロイ解除が完了しました."

exit 0
